Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

 

Department:  Affected Products: ADTF 3.14.1, ADTF 3.14.2

Requester's Priority: Blocker Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::ConanCMakeMisc

Resolution: Not Supported Scope FAQ Links:  

Description

Supportanfrage

We cannot able to change the icons in the exe files of adtf3.

How we can change the icons of exe files.

Lösung

Changing the icon is not possible without hacking the resource (which is of course neither recommended nor supported).

There hasn't been any change before and after ADTF 3.14.

What has been changed is that now all executable are containing their icons as they should already before ADTF 3.14 as you can

see in the change log

[ACORE-10976] - Add icons to all executables

You still can exchange the icon for each ADTF GUI tool (not external like DDL Mapping, DDL Editor or Easy Profiler) by exchanging

the icon file in $(ADTF_DIR)/settings.

This was possible before ADTF 3.14 and even after.

It is not possible for CLI tools as mentioned above because this cannot be loaded dynamically at runtime (and even dont make sense

because it lives in the command line).

The only thing which make sense are GUI tools and here it is possible to change as described above.

For an overview of GUI and CLI tools, please have a look here:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_delivered_applications.html

Again, there are no changes from 3.13 to 3.14, the only change is that the icon is embedded for all tools within file explorer, but this

cannot be changed.

Maybe you can work with shortcuts to set your own icon.

History

#1 - 2022-05-27 08:04 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::ConanCMakeMisc

Can you please give us some more information?

For example:

How did you try to set the icons?

Have you changed someting from previous version?

#2 - 2022-05-27 08:05 - hidden

- Status changed from In Progress to Customer Feedback Required
https://support.digitalwerk.net/adtf/v3/adtf_html/page_release_notes_3_14_0.html#sec_changelog_3_14_0
https://support.digitalwerk.net/adtf/v3/adtf_html/page_delivered_applications.html


#3 - 2022-05-27 08:42 - hidden

In the previous versions we dont see any icons in the exe files.

But now in the ADTF-3.14 version the exe files are comes with the icons.

#5 - 2022-05-30 08:51 - hidden

did you get it, what is the issue we are facing?

#7 - 2022-05-31 07:17 - hidden

- Status changed from Customer Feedback Required to In Progress

Hello,

yes. Thanks for the information. We are discussing this issue internal and give you an answer as soon as possible.

Best regards,

Margarete

#8 - 2022-05-31 10:12 - hidden

- Project changed from 7 to Public Support

- Subject changed from Change EXE file Icon to Change icon of executable

- Description updated

- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Not Supported Scope

Hi,

changing the icon is not possible without hacking the resource (which is of course neither recommended nor supported).

There hasn't been any change before and after ADTF 3.14.

What has been changed is that now all executable are containing their icons as they should already before ADTF 3.14 as you can see in the change

log

[ACORE-10976] - Add icons to all executables

You still can exchange the icon for each ADTF GUI tool (not external like DDL Mapping, DDL Editor or Easy Profiler) by exchanging the icon file in

$(ADTF_DIR)/settings.

This was possible before ADTF 3.14 and even after.

It is not possible for CLI tools as mentioned above because this cannot be loaded dynamically at runtime (and even dont make sense because it lives

in the command line).

The only thing which make sense are GUI tools and here it is possible to change as described above.

For an overview of GUI and CLI tools, please have a look here:

https://support.digitalwerk.net/adtf/v3/adtf_html/page_delivered_applications.html

Again, there are no changes from 3.13 to 3.14, the only change is that the icon is embedded for all tools within file explorer, but this cannot be

changed.

Maybe you can work with shortcuts to set your own icon.

#9 - 2023-02-09 07:58 - hidden

- Status changed from To Be Closed to Closed
